PUT api/UpdateProjects
Request Information
URI Parameters
None.
Body Parameters
ProjectRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| Project | ProjectModel |
None. |
|
| Apartments | Collection of Apartment |
None. |
Request Formats
application/json, text/json
Sample:
{
"Project": {
"project_id": 1,
"UserId": 2,
"project_name": "sample string 3",
"location": "sample string 4",
"city": "sample string 5",
"state": "sample string 6",
"country": "sample string 7",
"status": "sample string 8",
"total_floors": 9,
"logo": "sample string 10",
"Description": "sample string 11",
"start_date": "sample string 12",
"end_date": "sample string 13",
"FloorPlan": "sample string 14",
"MasterPlan": "sample string 15",
"SiteMap": "sample string 16",
"PriceList": "sample string 17",
"Brochure": "sample string 18",
"latitude": 1.0,
"longitude": 1.0
},
"Apartments": [
{
"apartment_id": 1,
"project_id": 2,
"bhk": 3,
"area_sqft": 4.0,
"price": 5.0,
"available": true,
"floor_number": 7,
"facing_direction": "sample string 8",
"images": "sample string 9",
"total_rooms": 10,
"total_bathrooms": 11,
"balcony_available": true,
"parking_available": true
},
{
"apartment_id": 1,
"project_id": 2,
"bhk": 3,
"area_sqft": 4.0,
"price": 5.0,
"available": true,
"floor_number": 7,
"facing_direction": "sample string 8",
"images": "sample string 9",
"total_rooms": 10,
"total_bathrooms": 11,
"balcony_available": true,
"parking_available": true
}
]
}
application/xml, text/xml
Sample:
<ProjectRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RentoAPI_New.Models">
<Apartments>
<Apartment>
<apartment_id>1</apartment_id>
<area_sqft>4</area_sqft>
<available>true</available>
<balcony_available>true</balcony_available>
<bhk>3</bhk>
<facing_direction>sample string 8</facing_direction>
<floor_number>7</floor_number>
<images>sample string 9</images>
<parking_available>true</parking_available>
<price>5</price>
<project_id>2</project_id>
<total_bathrooms>11</total_bathrooms>
<total_rooms>10</total_rooms>
</Apartment>
<Apartment>
<apartment_id>1</apartment_id>
<area_sqft>4</area_sqft>
<available>true</available>
<balcony_available>true</balcony_available>
<bhk>3</bhk>
<facing_direction>sample string 8</facing_direction>
<floor_number>7</floor_number>
<images>sample string 9</images>
<parking_available>true</parking_available>
<price>5</price>
<project_id>2</project_id>
<total_bathrooms>11</total_bathrooms>
<total_rooms>10</total_rooms>
</Apartment>
</Apartments>
<Project>
<Brochure>sample string 18</Brochure>
<Description>sample string 11</Description>
<FloorPlan>sample string 14</FloorPlan>
<MasterPlan>sample string 15</MasterPlan>
<PriceList>sample string 17</PriceList>
<SiteMap>sample string 16</SiteMap>
<UserId>2</UserId>
<city>sample string 5</city>
<country>sample string 7</country>
<end_date>sample string 13</end_date>
<latitude>1</latitude>
<location>sample string 4</location>
<logo>sample string 10</logo>
<longitude>1</longitude>
<project_id>1</project_id>
<project_name>sample string 3</project_name>
<start_date>sample string 12</start_date>
<state>sample string 6</state>
<status>sample string 8</status>
<total_floors>9</total_floors>
</Project>
</ProjectRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, text/javascript, application/javascript, application/json-p
Sample:
Sample not available.